.\"	$NetBSD: dcm.4,v 1.8 2003/05/06 19:01:21 wiz Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dcm.4	8.1 (Berkeley) 6/9/93
.\"
.Dd June 9, 1993
.Dt DCM 4 hp300
.Os
.Sh NAME
.Nm dcm
.Nd
.Tn HP98642A
serial communications multiplexer
.Sh SYNOPSIS
.Cd "dcm* at dio? scode ? flags 0xe"
.Sh DESCRIPTION
The
.Tn 98642A
is a four port
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications
multiplexer. The
.Tn 98642A
has three direct-connect ports and one port with
full modem control.
.Pp
Input and output for each line may set to one of following baud rates;
50, 75, 110, 134.5, 150, 300, 600, 1200, 1800, 2400, 4800,
9600, 19200, 38400.
.Pp
.Ar Flags
is usually specified as 0xe since 3 of the 4 ports (1-3) do not support
modem control and should be treated as hard-wired with carrier always present.
If port 0 does not have the need for modem control then flags can be specified
as
.Ql 0xf .
.Pp
Each port on the
.Tn 98642A
has a 128 byte input silo and a 16 byte output silo.
Interrupts happen on a per character basis unless the interrupt
rate for the card reaches 70 interrupts per second at which time the
driver changes to a 16.7ms (60 interrupts per second) polling scheme until
the interrupt rate drops.
.Sh FILES
.Bl -tag -width /dev/tty0[0-9a-f] -compact
.It Pa /dev/tty0[0-9a-f]
.El
.Sh DIAGNOSTICS
.Bl -diag
.It dcm%d port%d: silo overflow
Input Silo has overflowed and incoming data
has been lost.
.Pp
.It dcm%d port%d: uart overflow
The 3 character buffer in the UART has
overflowed.
.El
.Sh SEE ALSO
.Xr dio 4 ,
.Xr tty 4
.Sh BUGS
Total throughput per card, all ports together, is limited to 76800 bits per
second continuous input rate.
